diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/wifi/test/wifi-phy-cca-test.cc ns-3.47/src/wifi/test/wifi-phy-cca-test.cc
--- ns-3.46/src/wifi/test/wifi-phy-cca-test.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/wifi/test/wifi-phy-cca-test.cc	2026-02-16 16:08:49.882231000 -0800
@@ -1782,340 +1915,300 @@
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {{aCcaTimeWithDelta,
+                       1,
+                       tx1Start,
                        ppduDurations.at(MHz_u{20}),
                        WIFI_CHANLIST_SECONDARY,
                        m_expectedPer20MhzCcaBusyDurations.at(0)}});
-        delay += Seconds(1);
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE but CCA-BUSY indication is still reported as long as a
-        // signal above the energy detection threshold occupies the S20 while a 40 MHz PPDU
-        // below the CCA sensitivity threshold is received on P40.
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 20 MHz signal that occupies S20 above ED threshold "
-                            "followed by a 40 "
-                            "MHz PPDU that occupies P40 below CCA sensitivity threshold");
-        m_expectedPer20MhzCcaBusyDurations.at(0).at(1) = MicroSeconds(100);
-        m_expectedPer20MhzCcaBusyDurations.at(1).at(1) = MicroSeconds(46);
+        // Verify PHY state stays IDLE but CCA-BUSY indication is still reported as long as a signal
+        // above the energy detection threshold occupies the S20 while a 40 MHz PPDU below the CCA
+        // sensitivity threshold is received on P40.
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(1) = txDuration1;
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(1) = txDiff - aCcaTime;
         ScheduleTest(
             delay,
+            "Reception of a 20 MHz signal that occupies S20 above ED threshold followed by a 40 "
+            "MHz PPDU that occupies P40 below CCA sensitivity threshold",
             {{dBm_u{-60},
-              MicroSeconds(0),
-              MicroSeconds(100),
+              tx1Start,
+              txDuration1,
               S20_CENTER_FREQUENCY,
               MHz_u{20}}}, // signal on S20 above threshold
             {{dBm_u{-80},
-              MicroSeconds(50),
+              tx2Start,
               P40_CENTER_FREQUENCY,
               MHz_u{40}}}, // PPDU on P40 below threshold
             {
-                {MicroSeconds(50) + aCcaTimeWithDelta, WifiPhyState::IDLE}, // PHY state stays IDLE
+                {tx2Start + aCcaTimeWithDelta, WifiPhyState::IDLE}, // PHY state stays IDLE
             },
-            {{MicroSeconds(50) - smallDelta,
-              MicroSeconds(100),
+            {{tx2Start - smallDelta,
+              1,
+              tx1Start,
+              txEndSignal1,
               WIFI_CHANLIST_SECONDARY,
               m_expectedPer20MhzCcaBusyDurations.at(0)},
-             {MicroSeconds(100) - smallDelta,
-              MicroSeconds(100),
+             {txEndSignal1 - smallDelta,
+              2,
+              tx1Start,
+              txEndSignal1,
               WIFI_CHANLIST_SECONDARY,
               m_expectedPer20MhzCcaBusyDurations.at(1)}});
-        delay += Seconds(1);
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
     }
 
     if (m_channelWidth > MHz_u{40})
     {
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported when a signal
-        // below the energy detection threshold occupies S40
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 20 MHz signal that occupies the first subchannel of "
-                            "S40 below ED threshold");
-        ScheduleTest(delay,
-                     {{dBm_u{-65},
-                       MicroSeconds(0),
-                       MicroSeconds(100),
-                       S40_CENTER_FREQUENCY - MHz_u{10},
-                       MHz_u{20}}},
-                     {},
-                     {
-                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {});
-        delay += Seconds(1);
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported when a signal below
+        // the energy detection threshold occupies S40
+        ScheduleTest(
+            delay,
+            "Reception of a signal that occupies P20 below ED threshold",
+            {{dBm_u{-65}, tx1Start, txDuration1, S40_CENTER_FREQUENCY - MHz_u{10}, MHz_u{20}}},
+            {},
+            {
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                {txEndSignal1 - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {txEndSignal1 + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {});
+        delay += testStep;
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY notifies CCA-BUSY for the S40 as long as a signal above the energy
-        // detection threshold occupies the first 20 MHz subchannel of the S40: 27.3.20.6.4: Any
-        // signal within the secondary 40 MHz channel at or above a threshold of –59 dBm within
-        // a period of aCcaTimeWithDelta after the signal arrives at the receiver’s antenna(s).
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 20 MHz signal that occupies the first subchannel of "
-                            "S40 above ED threshold");
-        m_expectedPer20MhzCcaBusyDurations.at(0).at(2) = MicroSeconds(100);
-        ScheduleTest(delay,
-                     {{dBm_u{-55},
-                       MicroSeconds(0),
-                       MicroSeconds(100),
-                       S40_CENTER_FREQUENCY - MHz_u{10},
-                       MHz_u{20}}},
-                     {},
-                     {
-                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {{MicroSeconds(100) - smallDelta,
-                       MicroSeconds(100),
-                       WIFI_CHANLIST_SECONDARY40,
-                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
-        delay += Seconds(1);
+        // Verify PHY notifies CCA-BUSY for the S40 as long as a signal above the energy detection
+        // threshold occupies the first 20 MHz subchannel of the S40: 27.3.20.6.4: Any signal within
+        // the secondary 40 MHz channel at or above a threshold of –59 dBm within a period of
+        // aCcaTimeWithDelta after the signal arrives at the receiver’s antenna(s).
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(2) = txDuration1;
+        ScheduleTest(
+            delay,
+            "Reception of a 20 MHz signal that occupies the first subchannel of S40 above "
+            "ED threshold",
+            {{dBm_u{-55}, tx1Start, txDuration1, S40_CENTER_FREQUENCY - MHz_u{10}, MHz_u{20}}},
+            {},
+            {
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                {txEndSignal1 - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {txEndSignal1 + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {{txEndSignal1 - smallDelta,
+              1,
+              tx1Start,
+              txEndSignal1,
+              WIFI_CHANLIST_SECONDARY40,
+              m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE for the S40 if a signal below the energy detection
-        // threshold occupies the second 20 MHz subchannel of the S40
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 20 MHz signal that occupies the second subchannel of "
-                            "S40 below ED threshold");
-        ScheduleTest(delay,
-                     {{dBm_u{-65},
-                       MicroSeconds(0),
-                       MicroSeconds(100),
-                       S40_CENTER_FREQUENCY + MHz_u{10},
-                       MHz_u{20}}},
-                     {},
-                     {
-                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {});
-        delay += Seconds(1);
-
-        //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY notifies CCA-BUSY for the S40 as long as a signal above the energy
-        // detection threshold occupies the second 20 MHz subchannel of the S40: 27.3.20.6.4:
-        // Any signal within the secondary 40 MHz channel at or above a threshold of –59 dBm
-        // within a period of aCcaTimeWithDelta after the signal arrives at the receiver's
-        // antenna(s).
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 20 MHz signal that occupies the second subchannel of "
-                            "S40 above ED threshold");
-        m_expectedPer20MhzCcaBusyDurations.at(0).at(3) = MicroSeconds(100);
-        ScheduleTest(delay,
-                     {{dBm_u{-55},
-                       MicroSeconds(0),
-                       MicroSeconds(100),
-                       S40_CENTER_FREQUENCY + MHz_u{10},
-                       MHz_u{20}}},
-                     {},
-                     {
-                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {{MicroSeconds(100) - smallDelta,
-                       MicroSeconds(100),
-                       WIFI_CHANLIST_SECONDARY40,
-                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
-        delay += Seconds(1);
-        ResetExpectedPer20MhzCcaBusyDurations();
+        // Verify PHY state stays IDLE for the S40 if a signal below the energy detection threshold
+        // occupies the second 20 MHz subchannel of the S40
+        ScheduleTest(
+            delay,
+            "Reception of a 20 MHz signal that occupies the second subchannel of "
+            "S40 below ED threshold",
+            {{dBm_u{-65}, tx1Start, txDuration1, S40_CENTER_FREQUENCY + MHz_u{10}, MHz_u{20}}},
+            {},
+            {
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                {txEndSignal1 - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {txEndSignal1 + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {});
+        delay += testStep;
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE for the S40 if a signal below the energy detection
-        // threshold occupies S40
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 40 MHz signal that occupies S40 below ED threshold");
+        // Verify PHY notifies CCA-BUSY for the S40 as long as a signal above the energy detection
+        // threshold occupies the second 20 MHz subchannel of the S40: 27.3.20.6.4: Any signal
+        // within the secondary 40 MHz channel at or above a threshold of –59 dBm within a period of
+        // aCcaTimeWithDelta after the signal arrives at the receiver's antenna(s).
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(3) = txDuration1;
         ScheduleTest(
             delay,
-            {{dBm_u{-60}, MicroSeconds(0), MicroSeconds(100), S40_CENTER_FREQUENCY, MHz_u{40}}},
+            "Reception of a 20 MHz signal that occupies the second subchannel of S40 "
+            "above ED threshold",
+            {{dBm_u{-55}, tx1Start, txDuration1, S40_CENTER_FREQUENCY + MHz_u{10}, MHz_u{20}}},
             {},
             {
                 {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                {MicroSeconds(100) - smallDelta,
+                {txEndSignal1 - smallDelta,
                  WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                {MicroSeconds(100) + smallDelta,
+                {txEndSignal1 + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
-            {});
-        delay += Seconds(1);
+            {{txEndSignal1 - smallDelta,
+              1,
+              tx1Start,
+              txEndSignal1,
+              WIFI_CHANLIST_SECONDARY40,
+              m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += testStep;
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY notifies CCA-BUSY for the S40 as long as a signal above the energy
-        // detection threshold occupies S40: 27.3.20.6.4: Any signal within the secondary 40 MHz
-        // channel at or above a threshold of –59 dBm within a period of aCcaTimeWithDelta after
-        // the signal arrives at the receiver's antenna(s).
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 20 MHz signal that occupies the second subchannel of "
-                            "S40 above ED threshold");
-        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 2, 2, MicroSeconds(100));
+        // Verify PHY state stays IDLE for the S40 if a signal below the energy detection threshold
+        // occupies S40
+        ScheduleTest(delay,
+                     "Reception of a 40 MHz signal that occupies S40 below ED threshold",
+                     {{dBm_u{-60}, tx1Start, txDuration1, S40_CENTER_FREQUENCY, MHz_u{40}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {txEndSignal1 - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {txEndSignal1 + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {});
+        delay += testStep;
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY notifies CCA-BUSY for the S40 as long as a signal above the energy detection
+        // threshold occupies S40: 27.3.20.6.4: Any signal within the secondary 40 MHz channel at or
+        // above a threshold of –59 dBm within a period of aCcaTimeWithDelta after the signal
+        // arrives at the receiver's antenna(s).
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 2, 2, txDuration1);
         ScheduleTest(
             delay,
-            {{dBm_u{-55}, MicroSeconds(0), MicroSeconds(100), S40_CENTER_FREQUENCY, MHz_u{40}}},
+            "Reception of a 20 MHz signal that occupies the second subchannel of S40 above ED "
+            "threshold",
+            {{dBm_u{-55}, tx1Start, txDuration1, S40_CENTER_FREQUENCY, MHz_u{40}}},
             {},
             {
                 {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                {MicroSeconds(100) - smallDelta,
+                {txEndSignal1 - smallDelta,
                  WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                {MicroSeconds(100) + smallDelta,
+                {txEndSignal1 + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
-            {{MicroSeconds(100) - smallDelta,
-              MicroSeconds(100),
+            {{txEndSignal1 - smallDelta,
+              1,
+              tx1Start,
+              txEndSignal1,
               WIFI_CHANLIST_SECONDARY40,
               m_expectedPer20MhzCcaBusyDurations.at(0)}});
-        delay += Seconds(1);
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state is CCA-BUSY as long as a 80 MHz signal above the energy detection
         // threshold occupies P80
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 80 MHz signal that occupies P80 above ED threshold");
-        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin(), 4, MicroSeconds(100));
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin(), 4, txDuration1);
         ScheduleTest(
             delay,
-            {{dBm_u{-55}, MicroSeconds(0), MicroSeconds(100), P80_CENTER_FREQUENCY, MHz_u{80}}},
+            "Reception of a 80 MHz signal that occupies P80 above ED threshold",
+            {{dBm_u{-55}, tx1Start, txDuration1, P80_CENTER_FREQUENCY, MHz_u{80}}},
             {},
             {
                 {aCcaTimeWithDelta, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCcaTimeWithDelta
-                {MicroSeconds(100) - smallDelta,
+                {txEndSignal1 - smallDelta,
                  WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
-                {MicroSeconds(100) + smallDelta,
+                {txEndSignal1 + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
-            {{MicroSeconds(100) - smallDelta,
-              MicroSeconds(100),
+            {{txEndSignal1 - smallDelta,
+              1,
+              tx1Start,
+              txEndSignal1,
               WIFI_CHANLIST_PRIMARY,
               m_expectedPer20MhzCcaBusyDurations.at(0)}});
-        delay += Seconds(1);
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY notifies CCA-BUSY for the P20 channel while the S40 channel was already in
         // CCA-BUSY state
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 20 MHz signal that occupies S40 followed by the "
-                            "reception of another 20 MHz signal that occupies P20");
-        m_expectedPer20MhzCcaBusyDurations.at(0).at(2) = MicroSeconds(100);
-        m_expectedPer20MhzCcaBusyDurations.at(1).at(0) = MicroSeconds(100);
-        m_expectedPer20MhzCcaBusyDurations.at(1).at(2) = MicroSeconds(50);
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(2) = txDuration1;
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(0) = txDuration2;
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(2) = txDiff;
         ScheduleTest(
             delay,
-            {{dBm_u{-55},
-              MicroSeconds(0),
-              MicroSeconds(100),
-              S40_CENTER_FREQUENCY - MHz_u{10},
-              MHz_u{20}},
-             {dBm_u{-55}, MicroSeconds(50), MicroSeconds(100), P20_CENTER_FREQUENCY, MHz_u{20}}},
+            "Reception of a 20 MHz signal that occupies S40 followed by the reception of another "
+            "20 MHz signal that occupies P20",
+            {{dBm_u{-55}, tx1Start, txDuration1, S40_CENTER_FREQUENCY - MHz_u{10}, MHz_u{20}},
+             {dBm_u{-55}, tx2Start, txDuration2, P20_CENTER_FREQUENCY, MHz_u{20}}},
             {},
             {
                 {aCcaTimeWithDelta,
                  WifiPhyState::IDLE}, // state of primary stays idle after aCcaTimeWithDelta
-                {MicroSeconds(50) + aCcaTimeWithDelta,
-                 WifiPhyState::CCA_BUSY}, // state of primary is CCA-BUSY after
-                                          // aCcaTimeWithDelta that followed the second
-                                          // transmission
-                {MicroSeconds(50) + MicroSeconds(100) - smallDelta,
+                {tx2Start + aCcaTimeWithDelta,
+                 WifiPhyState::CCA_BUSY}, // state of primary is CCA-BUSY after aCcaTimeWithDelta
+                                          // that followed the second transmission
+                {txEndSignal2 - smallDelta,
                  WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
-                {MicroSeconds(50) + MicroSeconds(100) + smallDelta,
+                {txEndSignal2 + txEndSignal1 + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
             {{aCcaTimeWithDelta, // notification upon reception of the first signal
-              MicroSeconds(100),
+              1,
+              tx1Start,
+              txEndSignal1,
               WIFI_CHANLIST_SECONDARY40,
               m_expectedPer20MhzCcaBusyDurations.at(0)},
-             {MicroSeconds(50) +
-                  aCcaTimeWithDelta, // notification upon reception of the second signal
-              MicroSeconds(50) + MicroSeconds(100),
+             {tx2Start + aCcaTimeWithDelta, // notification upon reception of the second signal
+              2,
+              tx1Start,
+              txEndSignal2,
               WIFI_CHANLIST_PRIMARY,
               m_expectedPer20MhzCcaBusyDurations.at(1)}});
-        delay += Seconds(1);
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE but notifies CCA-BUSY for the S20 channel while the S40
         // channel was already in CCA-BUSY state
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a signal that occupies S40 followed by the reception of "
-                            "another signal that occupies S20");
-        m_expectedPer20MhzCcaBusyDurations.at(0).at(2) = MicroSeconds(100);
-        m_expectedPer20MhzCcaBusyDurations.at(1).at(1) = MicroSeconds(100);
-        m_expectedPer20MhzCcaBusyDurations.at(1).at(2) = MicroSeconds(50);
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(2) = txDuration1;
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(1) = txDuration2;
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(2) = txDiff;
         ScheduleTest(
             delay,
-            {{dBm_u{-55},
-              MicroSeconds(0),
-              MicroSeconds(100),
-              S40_CENTER_FREQUENCY - MHz_u{10},
-              MHz_u{20}},
-             {dBm_u{-55}, MicroSeconds(50), MicroSeconds(100), S20_CENTER_FREQUENCY, MHz_u{20}}},
+            "Reception of a signal that occupies S40 followed by the reception of another signal "
+            "that occupies S20",
+            {{dBm_u{-55}, tx1Start, txDuration1, S40_CENTER_FREQUENCY - MHz_u{10}, MHz_u{20}},
+             {dBm_u{-55}, tx2Start, txDuration2, S20_CENTER_FREQUENCY, MHz_u{20}}},
             {},
             {
                 {aCcaTimeWithDelta,
                  WifiPhyState::IDLE}, // state of primary stays idle after aCcaTimeWithDelta
-                {MicroSeconds(50) + aCcaTimeWithDelta,
-                 WifiPhyState::IDLE}, // state of primary stays IDLE
-                {MicroSeconds(50) + MicroSeconds(100) - smallDelta,
+                {tx2Start + aCcaTimeWithDelta, WifiPhyState::IDLE}, // state of primary stays IDLE
+                {txEndSignal2 - smallDelta,
                  WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                {MicroSeconds(50) + MicroSeconds(100) + smallDelta,
+                {txEndSignal2 + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
             {{aCcaTimeWithDelta, // notification upon reception of the first signal
-              MicroSeconds(100),
+              1,
+              tx1Start,
+              txEndSignal1,
               WIFI_CHANLIST_SECONDARY40,
               m_expectedPer20MhzCcaBusyDurations.at(0)},
-             {MicroSeconds(50) +
-                  aCcaTimeWithDelta, // notification upon reception of the second signal
-              MicroSeconds(50) + MicroSeconds(100),
+             {tx2Start + aCcaTimeWithDelta, // notification upon reception of the second signal
+              2,
+              tx1Start,
+              txEndSignal2,
               WIFI_CHANLIST_SECONDARY,
               m_expectedPer20MhzCcaBusyDurations.at(1)}});
-        delay += Seconds(1);
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE when a 40 MHz PPDU with received power below the CCA
         // sensitivity threshold occupies S40
-        Simulator::Schedule(
-            delay,
-            &WifiPhyCcaIndicationTest::LogScenario,
-            this,
-            "Reception of a 40 MHz PPDU that occupies S40 below CCA sensitivity threshold");
         ScheduleTest(delay,
+                     "Reception of a 40 MHz PPDU that occupies S40 below CCA sensitivity threshold",
                      {},
-                     {{dBm_u{-75}, MicroSeconds(0), S40_CENTER_FREQUENCY, MHz_u{40}}},
+                     {{dBm_u{-75}, tx1Start, S40_CENTER_FREQUENCY, MHz_u{40}}},
                      {
                          {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {ppduDurations.at(MHz_u{40}) - smallDelta,
@@ -2124,23 +2217,19 @@
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {});
-        delay += Seconds(1);
+        delay += testStep;
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE but CCA-BUSY indication is reported when a 40 MHz PPDU
         // with received power above the CCA sensitivity threshold occupies S40
-        const dBm_u rxPower{(m_standard == WIFI_STANDARD_80211ax) ? -70.0 : -67.0};
-        Simulator::Schedule(
-            delay,
-            &WifiPhyCcaIndicationTest::LogScenario,
-            this,
-            "Reception of a 40 MHz PPDU that occupies S40 above CCA sensitivity threshold");
+        const dBm_u rxPower{(m_standard == WIFI_STANDARD_80211ax) ? -70 : -67.0};
         std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 2,
                     2,
                     ppduDurations.at(MHz_u{40}));
         ScheduleTest(delay,
+                     "Reception of a 40 MHz PPDU that occupies S40 above CCA sensitivity threshold",
                      {},
-                     {{rxPower, MicroSeconds(0), S40_CENTER_FREQUENCY, MHz_u{40}}},
+                     {{rxPower, tx1Start, S40_CENTER_FREQUENCY, MHz_u{40}}},
                      {
                          {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {ppduDurations.at(MHz_u{40}) - smallDelta,
